/* ##### GENERAL ##### */
.no-padding {
  padding: 0 !important;
}

.btn {
  border-radius: .15rem;
}

.bootstrap-tagsinput .tag.label.label-info {
  background-color: #41d4f8 !important;
}

.accent-border {
  padding-top: 8px;
  border-top: 5px solid #41d4f8;
  max-width: 100px;
}

/* width */
.post ::-webkit-scrollbar {
  height: 5px;
}

/* Track */
.post ::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
.post ::-webkit-scrollbar-thumb {
  background: #41d4f8;
}

/* Handle on hover */
.post ::-webkit-scrollbar-thumb:hover {
  background: #0da9d0;
}

.slider {
  -webkit-appearance: none;
  -moz-appearance: none;
       appearance: none;
  width: 100%;
  height: 10px;
  background: #f1f1f1;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  -webkit-transition: opacity .2s;
  transition: opacity .2s;
}

/* Mouse-over effects */
.slider:hover {
  opacity: 1;
}

/* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 15px;
  height: 15px;
  background: #41d4f8;
  cursor: pointer;
  border-radius: .15rem;
}

.slider::-moz-range-thumb {
  width: 25px;
  height: 25px;
  background: #41d4f8;
  cursor: pointer;
}

.hide-mouse {
  cursor: none !important;
}

.code {
  background: #fdcbcb;
  color: #e80000;
  font-family: monospace;
  padding: 3px 8px;
  border-radius: 5px;
}

/* ##### HEADER ##### */
header {
  position: fixed;
  z-index: 100;
  background: white;
  border-bottom: 1px solid lightgray;
}

header #page-title {
  text-align: center;
  font-size: 60px;
  font-variant-caps: all-petite-caps;
  padding: 20px 10px 0;
}

header nav ul {
  list-style-type: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding: 0;
}

header nav ul li {
  display: inline-block;
  padding: 10px;
}

header nav ul li a {
  color: #687482;
  padding: 5px 10px;
  -webkit-transition: color 200ms ease-out;
  transition: color 200ms ease-out;
}

header nav ul li a:hover {
  color: black;
  text-decoration: none;
  border-top: 2px solid #41d4f8;
  -webkit-transition: color 200ms ease-out;
  transition: color 200ms ease-out;
}

#main-content {
  padding-top: 200px;
}

#search-area {
  margin-bottom: 50px;
}

#search-area #search-string {
  width: 70%;
  float: left;
  padding: 20px;
  border-color: #41d4f8;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

#search-area #search-string:focus {
  background-color: #41d4f803;
  -webkit-box-shadow: none;
          box-shadow: none;
}

#search-area select.order-by {
  width: 30%;
  float: right;
  padding: 0 20px 2px;
  height: 42px;
  border-color: #41d4f8;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  border-left: none;
}

#search-area select.order-by:focus {
  background-color: #41d4f803;
  -webkit-box-shadow: none;
          box-shadow: none;
}

#search-area p {
  margin-top: 8px;
}

#search-area p #search-echo {
  color: #687482;
}

#search-area p #search-echo a {
  color: #687482;
}

#search-area p #search-echo a:hover {
  text-decoration: none;
  color: #41d4f8;
}

.page-info > div {
  padding: 0 20px;
}

.page-info .page h4 {
  margin: 0;
}

.page-info .items-per-page {
  position: absolute;
  right: 0;
  bottom: 0;
  padding-right: 20px;
}

.page-info .items-per-page a {
  margin: 0 3px;
  color: #aeb3b9;
}

.page-info .items-per-page a.active, .page-info .items-per-page a:hover {
  color: #41d4f8;
  text-decoration: none;
}

.pagination {
  margin: 30px 20px 100px;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.pagination .page-link {
  color: #41d4f8;
}

.pagination .page-item.active .page-link {
  background-color: #41d4f8;
  border-color: #41d4f8;
}

/* ##### POST ##### */
.post {
  padding: 20px;
  margin: 10px 0;
  border: 1px solid #f3f3f3;
  -webkit-box-shadow: 1px 1px 4px 0px #f3f3f3;
          box-shadow: 1px 1px 4px 0px #f3f3f3;
}

.post .title {
  overflow: hidden;
}

.post a.reflink {
  color: #687482;
}

.post .accent-border {
  margin-bottom: 5px;
}

.post .options {
  position: absolute;
  top: 30px;
  right: 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

@media (max-width: 768px) {
  .post .options {
    position: initial;
  }
}

.post .options .slidercontainer {
  display: inline-block;
  padding: 0 25px;
  height: 40px;
  position: relative;
}

.post .options .slidercontainer label {
  font-size: 14px;
  padding: 0;
  margin: 0;
  position: absolute;
  top: 0;
  line-height: 1.1;
}

.post .options .slidercontainer label .reset-image-size {
  font-size: 10px;
  color: #aeb3b9;
  padding: 0 6px;
}

.post .options .slidercontainer label .reset-image-size:hover {
  cursor: pointer;
  color: #687482;
}

.post .options .slidercontainer .slider {
  margin-top: 23px;
}

.post .options .delete-post {
  margin-left: 20px;
}

.post .image-section {
  white-space: nowrap;
  overflow-x: auto;
}

.post .image-section img,
.post .image-section video {
  max-height: 800px;
}

.post .image-section img.rotate-90,
.post .image-section video.rotate-90 {
  -webkit-transform-origin: 0% 0%;
          transform-origin: 0% 0%;
  position: relative;
  left: 0;
  -webkit-transform: rotate(90deg) scale(0.56);
          transform: rotate(90deg) scale(0.56);
}

.post .image-section img.rotate-180,
.post .image-section video.rotate-180 {
  position: relative;
  left: 0;
  -webkit-transform: rotate(180deg) scale(1);
          transform: rotate(180deg) scale(1);
}

.post .image-section img.rotate-270,
.post .image-section video.rotate-270 {
  -webkit-transform-origin: 0% 100%;
          transform-origin: 0% 100%;
  position: relative;
  left: 0;
  -webkit-transform: rotate(270deg) scale(0.56);
          transform: rotate(270deg) scale(0.56);
}

.post .tags {
  padding-top: 10px;
  padding-bottom: 10px;
}

.post .tags a,
.post .tags a:visited {
  color: #aeb3b9;
  font-style: italic;
  text-decoration: none;
}

.post .tags a:hover,
.post .tags a:visited:hover {
  color: #41d4f8;
}

.post .info {
  padding-top: 10px;
  padding-bottom: 10px;
  color: #aeb3b9;
}

.post .info span {
  float: right;
  padding-right: 4px;
}

.post .likes {
  color: #aeb3b9;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin-left: 2px;
}

.post .likes .heart {
  color: #41d4f8;
  font-size: 22px;
}

.post .likes .heart:hover {
  cursor: pointer;
}

.post .likes .heart.fas {
  color: #ff543d;
}

.post .likes .likes-info {
  line-height: 1;
  margin: 2px 8px;
  display: inline-block;
}

[draggable] {
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
      user-select: none;
  /* Required to make elements draggable in old WebKit */
  -khtml-user-drag: element;
  -webkit-user-drag: element;
}

form#create-post .step {
  margin-bottom: 60px;
}

form#create-post .step .step-description {
  color: gray;
  text-align: justify;
  margin-bottom: 30px;
}

form#create-post input[name="content-folder"] {
  width: 80%;
  float: left;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

form#create-post #load-directory {
  width: 20%;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

form#create-post .element-counter {
  margin-top: 15px;
}

form#create-post .bootstrap-tagsinput {
  width: 100%;
  height: 100px;
  line-height: 27px;
}

form#create-post .bootstrap-tagsinput .label {
  display: inline;
  padding: .2em .6em .3em;
  font-size: 75%;
  font-weight: 700;
  line-height: 1;
  color: #fff;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: .25em;
}

form#create-post .bootstrap-tagsinput .label-info {
  background-color: #5bc0de;
}

form#create-post .delete-post {
  margin: 10px;
  padding: 8px 50px 10px;
  font-size: 1.2em;
}

form#create-post .btn-post {
  margin: 10px;
  padding: 8px 50px 10px;
  font-size: 1.2em;
}

.content-option {
  position: absolute;
  top: -17px;
  right: -15px;
  z-index: 100;
  background-color: white;
  color: lightgray;
  border: 0px solid;
  border-radius: 75px;
  -webkit-box-shadow: 1px 1px 1px 1px #efefef;
          box-shadow: 1px 1px 1px 1px #efefef;
}

.content-option:hover {
  cursor: pointer;
  background-color: #f7f7f7;
  color: #c7c7c7;
}

span.rotate-content {
  right: 25px;
  font-size: 18px;
  padding: 3px 8px;
}

span.delete-content {
  right: -15px;
  font-size: 22px;
  padding: 0 9px;
}

.content-preview ul,
.image-section ul {
  list-style-type: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  padding: 0;
  margin: 0;
}

.content-preview ul li.content-element,
.content-preview ul li.preview-element,
.image-section ul li.content-element,
.image-section ul li.preview-element {
  float: left;
  margin: 20px 10px 0;
  color: gray;
  position: relative;
}

.content-preview ul li.content-element:first-of-type,
.content-preview ul li.preview-element:first-of-type,
.image-section ul li.content-element:first-of-type,
.image-section ul li.preview-element:first-of-type {
  margin-left: 0;
}

.content-preview ul li.content-element img,
.content-preview ul li.content-element video,
.content-preview ul li.preview-element img,
.content-preview ul li.preview-element video,
.image-section ul li.content-element img,
.image-section ul li.content-element video,
.image-section ul li.preview-element img,
.image-section ul li.preview-element video {
  max-height: 700px;
}

.content-preview ul li.preview-placeholder,
.image-section ul li.preview-placeholder {
  float: left;
  background: #5bc0de;
  padding: 180px;
  margin: 0 10px;
}

.btn-accent-main {
  background-color: #41d4f8;
  color: white;
  -webkit-transition: all 300ms ease-out;
  transition: all 300ms ease-out;
  border-color: #41d4f8;
}

.btn-accent-main:hover {
  background-color: #0da9d0;
  color: white;
  -webkit-transition: all 300ms ease-out;
  transition: all 300ms ease-out;
  border-color: #0da9d0;
}

/* ##### TAG-AUTO-COMPLETE ##### */
.tt-menu {
  width: 96%;
  background: white;
  border: 1px solid #aeb3b9;
}

.tt-selectable {
  padding: 0 7px;
}

.tt-selectable.tt-cursor {
  font-weight: bold;
  background: #eee;
}
/*# sourceMappingURL=styles.css.map */